<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SupportCopy',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <div
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
    class="slp-position-relative"
  >
    <div
      v-for="(block, index) in data.block"
      :key="block.header"
      class="container"
      :class="{
        'container__space-bottom': block.header && index !== 0,
      }"
    >
      <div
        class="copy"
        :class="{ 'copy__align_center header': block.align_center }"
      >
        <SlpRow class="slp-flex slp-flex-column slp-align-items-center">
          <SlpColumn :cols="block.column_size || 12">
            <div v-if="block.header">
              <div class="header__gradient"></div>
              <div class="header__anchor slp-mb-48 slp-mt-16">
                <SlpTypography
                  v-if="block.header"
                  :id="block.id"
                  variant="heading2-bold"
                  tag="h2"
                  class="title"
                  >{{ block.header }}
                </SlpTypography>
                <router-link :to="{ path: '', hash: block.id }" data-test="ty">
                  <SlpIcon
                    class="slp-ml-16"
                    name="anchor"
                    variant="marketing"
                    slp-color="text-link-100"
                    alt="Anchor Icon"
                  />
                </router-link>
              </div>
            </div>
            <div class="slp-mb-24 subtitle">
              <SlpTypography
                v-if="block.subtitle"
                :id="block.subtitle.id"
                tag="h3"
                variant="heading4-bold"
                >{{ block.subtitle.text }}</SlpTypography
              >
              <router-link
                v-if="block.subtitle"
                :to="{ path: '', hash: block.subtitle.id }"
                data-test="ty"
              >
                <SlpIcon
                  class="slp-ml-16"
                  name="anchor"
                  variant="marketing"
                  slp-color="text-link-100"
                  alt="Anchor Icon"
                />
              </router-link>
            </div>

            <div class="copy__body">
              <SlpTypography
                v-if="block.text"
                tag="div"
                variant="body1"
                class="slp-mb-32"
                v-html="block.text"
              ></SlpTypography>
            </div>
          </SlpColumn>
        </SlpRow>
      </div>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 15px;
  margin: 0;
  max-width: 730px;
  position: relative;

  &__space-bottom {
    margin-top: $spacing-96;
  }

  @media (min-width: $breakpoint-lg) {
    grid-template-columns: repeat(12, 1fr);
  }
}

.copy {
  grid-column: 1 / span 12;

  @media (min-width: $breakpoint-lg) {
    grid-column: 1 / span 12;
  }

  &__body {
    grid-column: 1 / -1;

    &:deep ul {
      margin: $spacing-24 $spacing-32;
    }

    &:deep ol {
      margin: $spacing-24 $spacing-32;
    }

    & :deep p {
      font-size: $text-body-1;
    }

    & :deep p strong {
      font-weight: $font-weight-bold !important;
      font-size: $text-body-1;
    }

    & :deep p a {
      color: $color-text-link-100;
      font-size: $text-body-1;
    }

    & :deep p strong {
      font-weight: $font-weight-bold !important;
    }

    & :deep li strong {
      font-weight: $font-weight-bold !important;
    }

    & :deep blockquote {
      padding: $spacing-16;
      background-color: $color-surface-100;
      border: 1px solid $color-surface-400;
      border-radius: $spacing-4;
    }

    &:deep table {
      table-layout: fixed;
      width: 100%;
      max-width: 100%;
      margin-bottom: 20px;
      background-color: transparent;
      border-collapse: collapse;
      border-spacing: 0;

      & > thead {
        &:first-child > :first-child > th {
          border-top: 1px solid $color-surface-200;
        }

        & > tr > th {
          vertical-align: center;
          text-align: left;
          padding: 8px;
          line-height: 1.42857;
          border: 1px solid $color-surface-200;
          border-bottom: 2px solid $color-surface-200;
          font-weight: $font-weight-bold;

          a {
            font-weight: $font-weight-bold;
          }
        }
      }

      td {
        padding: 8px;
        line-height: 1.42857;
        vertical-align: top;
        border: 1px solid $color-surface-200;
        font-size: $text-body-1;
      }
    }
  }

  &__align_center {
    text-align: center;
  }

  .title {
    font-size: 56px;
    line-height: 66px;
  }

  .subtitle {
    display: flex;
    align-items: center;

    &:deep .slp-icon {
      opacity: 1;
      transition: opacity 0.5s ease-in-out;
      @media (min-width: $breakpoint-md) {
        opacity: 0;
      }
    }
    &:hover {
      &:deep .slp-icon {
        opacity: 1;
      }
    }
    h3 {
      font-size: $text-heading-4;
      line-height: $line-height-heading-4;
    }
  }
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  margin-bottom: $spacing-16;
  padding-bottom: $spacing-32;
  padding-top: $spacing-16;

  @media (min-width: $breakpoint-md) {
    align-items: center;
  }

  &__anchor {
    display: flex;
    align-items: center;
    max-width: 50%;

    @media (min-width: $breakpoint-md) {
      max-width: 100%;
    }

    &:deep .slp-icon {
      opacity: 1;
      transition: opacity 0.5s ease-in-out;
      @media (min-width: $breakpoint-md) {
        opacity: 0;
      }
    }

    &:hover {
      &:deep .slp-icon {
        opacity: 1;
      }
    }
  }

  &__gradient {
    background: linear-gradient(90deg, #ffc8c6 0%, #b3bded 100%);
    height: 4px;
    width: 95px;
    border-radius: 10px;
  }
}
</style>
